from numpy import loadtxt
import matplotlib.pyplot as plt

exts = [ "ft", "py", "jl" ]
for ext in exts:

	print(ext)
	fractal = loadtxt("fractal_"+ext+".dat")
	x_min, x_max, y_min, y_max = loadtxt("coord_"+ext+".dat")

	plt.imshow(fractal, cmap=plt.cm.hot,
		   extent=(x_min, x_max, y_min, y_max))
	plt.title('Mandelbrot Set :: ' + ext)
	plt.xlabel('Re(z)')
	plt.ylabel('Im(z)')
	plt.savefig("mandelbrot_"+ext+".png")
